VPFGraphicWarehouse (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Interface VPFGraphicWarehouse

All Superinterfaces:
  VPFWarehouse

All Known Implementing Classes:
  LayerGraphicWarehouseSupport, VPFCachedFeatureGraphicWarehouse, VPFFeatureGraphicWarehouse, VPFLayerDCWWarehouse, VPFLayerGraphicWarehouse

    public interface VPFGraphicWarehouse

extends VPFWarehouse

Define an interface for a Graphic Factory for graphics read from VPF.

Method Summary
`void` | `createArea(CoverageTable c, AreaTable a, java.util.List<java.lang.Object> l, LatLonPoint ll1, LatLonPoint ll2, double dpplat, double dpplon)` Method called by the VPF reader code to construct an area feature.
`void` | `createEdge(CoverageTable c, EdgeTable e, java.util.List<java.lang.Object> l, LatLonPoint ll1, LatLonPoint ll2, double dpplat, double dpplon, CoordFloatString coords)` Method called by the VPF reader code to construct an edge feature.
`void` | `createNode(CoverageTable c, NodeTable t, java.util.List<java.lang.Object> nodeprim, double latitude, double longitude, boolean isEntityNode)` Method called by the VPF reader code to construct a node feature.
`void` | `createText(CoverageTable c, TextTable t, java.util.List<java.lang.Object> textprim, double latitude, double longitude, java.lang.String text)` Method called by the VPF reader code to construct a text feature.

Methods inherited from interface com.bbn.openmap.layer.vpf.VPFWarehouse
`checkLibraryForUsage, drawAreaFeatures, drawCPointFeatures, drawEdgeFeatures, drawEPointFeatures, drawTextFeatures, getFeatures, getGUI, getUseLibraries, resetForCAT, setUseLibraries`

Method Detail

### createArea

    void createArea(CoverageTable c,
                    AreaTable a,
                    java.util.List<java.lang.Object> l,
                    LatLonPoint ll1,
                    LatLonPoint ll2,
                    double dpplat,
                    double dpplon)

  Method called by the VPF reader code to construct an area feature.

  Parameters:
    `c` - the coverage table for this area
    `a` - the areatable being parsed
    `l` - the record read from the area table
    `dpplat` - threshold for latitude thinning (passed to warehouse)
    `dpplon` - threshold for longitude thinngin (passed to warehouse)
    `ll1` - upperleft of selection region (passed to warehouse)
    `ll2` - lowerright of selection region (passed to warehouse)

### createEdge

    void createEdge(CoverageTable c,
                    EdgeTable e,
                    java.util.List<java.lang.Object> l,
                    LatLonPoint ll1,
                    LatLonPoint ll2,
                    double dpplat,
                    double dpplon,
                    CoordFloatString coords)

  Method called by the VPF reader code to construct an edge feature.

  Parameters:
    `c` - the coverage table for this edge
    `e` - the edgetable being parsed
    `l` - the record read from the edge table
    `dpplat` - threshold for latitude thinning (passed to warehouse)
    `dpplon` - threshold for longitude thinngin (passed to warehouse)
    `ll1` - upperleft of selection region (passed to warehouse)
    `ll2` - lowerright of selection region (passed to warehouse)

### createText

    void createText(CoverageTable c,
                    TextTable t,
                    java.util.List<java.lang.Object> textprim,
                    double latitude,
                    double longitude,
                    java.lang.String text)

  Method called by the VPF reader code to construct a text feature.

  Parameters:
    `c` - the coverage table for this text
    `t` - the texttable being parsed
    `textprim` - the record read from the text table
    `latitude` - the latitude of the text
    `longitude` - the longitude of the text
    `text` - the text string

### createNode

    void createNode(CoverageTable c,
                    NodeTable t,
                    java.util.List<java.lang.Object> nodeprim,
                    double latitude,
                    double longitude,
                    boolean isEntityNode)

  Method called by the VPF reader code to construct a node feature.

  Parameters:
    `c` - the coverage table for this node
    `t` - the nodetable being parsed
    `nodeprim` - the record read from the node table
    `latitude` - the latitude of the node
    `longitude` - the longitude of the node
    `isEntityNode` - true if we are reading entity notes, false if we are reading connected nodes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details